summarylogtreecommitdiffstats
path: root/lyrically.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-22 12:23:06 +0800
committerzxp198210052024-03-22 12:23:06 +0800
commitd904489fe41ac54a8422c744f78be9187efeef24 (patch)
tree020a39b4e187e2b4afff5bd842857bfcdfc127cb /lyrically.sh
parent94ee2dee5bce782e623a8e619ff8f65457f0225e (diff)
downloadaur-lyrically-bin.tar.gz
fix errors
Diffstat (limited to 'lyrically.sh')
-rw-r--r--lyrically.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/lyrically.sh b/lyrically.sh
index 86cb3dc6a9bf..7ddcaab8d734 100644
--- a/lyrically.sh
+++ b/lyrically.sh
@@ -2,6 +2,7 @@
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
@@ -9,7 +10,7 @@ export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file